# class Tk::BWidget::ComboBox

### Constants

TkCommandNames
WidgetClassName

### Public Instance Methods

clear_value() click to toggle source

    # File lib/tkextlib/bwidget/combobox.rb, line 44
    def clear_value
      tk_send_without_enc('clearvalue')
      self
    end

Also aliased as: clearvalue
clearvalue()
Alias for: clear_value
get_listbox(&b) click to toggle source

    # File lib/tkextlib/bwidget/combobox.rb, line 32
    def get_listbox(&b)
      win = window(tk_send_without_enc('getlistbox'))
      if b
        if TkCore::WITH_RUBY_VM  ### Ruby 1.9 !!!!
          win.instance_exec(self, &b)
        else
          win.instance_eval(&b)
        end
      end
      win
    end

icursor(idx) click to toggle source

    # File lib/tkextlib/bwidget/combobox.rb, line 50
    def icursor(idx)
      tk_send_without_enc('icursor', idx)
    end

post() click to toggle source

    # File lib/tkextlib/bwidget/combobox.rb, line 54
    def post
      tk_send_without_enc('post')
      self
    end

unpost() click to toggle source

    # File lib/tkextlib/bwidget/combobox.rb, line 59
    def unpost
      tk_send_without_enc('unpost')
      self
    end

### Private Instance Methods

__boolval_optkeys() click to toggle source
Calls superclass method Tk::BWidget::SpinBox#__boolval_optkeys

    # File lib/tkextlib/bwidget/combobox.rb, line 27
    def __boolval_optkeys
      super() << 'autocomplete' << 'autopost'
    end